GET /api/workflows/executions/{executionId}/children

Spaces method and path for this operation:

get /s/{space_id}/api/workflows/executions/{executionId}/children

Refer to Spaces for more information.

Retrieve child workflow executions spawned by sub-workflow steps within a parent execution.

[Required authorization] Route required privileges: workflowsManagement:readExecution.

Path parameters

  • executionId string Required

    Workflow execution ID

Responses

  • 200 application/json

    Indicates a successful response

GET /api/workflows/executions/{executionId}/children
curl \
  -X GET "${KIBANA_URL}/api/workflows/executions/{executionId}/children" \
  -H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/workflows/executions/{executionId}/children
Response examples (200)
Example response returning child workflow executions spawned by sub-workflow steps
[
  {
    "status": "completed",
    "workflowId": "workflow-e5f6a7b8-c9d0-1234-efab-456789012345",
    "executionId": "child-exec-001",
    "workflowName": "Child Workflow",
    "stepExecutions": [
      {
        "id": "child-step-001",
        "status": "completed",
        "stepId": "hello_world_step",
        "stepType": "console",
        "isTestRun": false,
        "startedAt": "2025-11-20T12:00:06.000Z",
        "finishedAt": "2025-11-20T12:00:07.000Z",
        "scopeStack": [],
        "workflowId": "workflow-e5f6a7b8-c9d0-1234-efab-456789012345",
        "workflowRunId": "child-exec-001",
        "executionTimeMs": 1000,
        "topologicalIndex": 0,
        "stepExecutionIndex": 0,
        "globalExecutionIndex": 0
      }
    ],
    "parentStepExecutionId": "step-exec-003"
  }
]